set(HIGHLIGHTER_SOURCES
    SyntaxHighlighter.cpp
    SyntaxHighlighter.h
    HighlighterFactory.cpp
    HighlighterFactory.h
)

add_library(BareCode_Highlighter STATIC ${HIGHLIGHTER_SOURCES})

target_link_libraries(BareCode_Highlighter PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

target_include_directories(BareCode_Highlighter PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
)
